Subject: [PATCH] ARM: gta02: Add gpio bank B quirk for hardware revision 5 and earlier

From: [email-masked] (Lars-Peter Clausen)
Date: Sun, 29 Nov 2009 11:56:51 +0100

Pavel Machek wrote:
> Hi!
>
>> On gta02 hardware revision 5 and earlier the basis resistors for
>> transistors of the leds are missing and reading their gpio pin
>> status will always return 0. So we have to shadow the led states
>> in software. This is done by "hijacking" the gpio accessor
>> functions for bank B.
>
> Should that be done in LED driver, instead? Pave
Hi

Nope, that won't work. Every time a gpio on gpb is changed the leds
will turn off. So we would have to ship a special version of each
driver using a gpio pin form gpb. We certainly don't want to do that.

- Lars